---
fi:
  activerecord:
    attributes:
      doorkeeper/application:
        name: Sovelluksen nimi
        redirect_uri: Uudelleenohjauksen URI
        scopes: Oikeudet
        website: Sovelluksen verkkosivu
    errors:
      models:
        doorkeeper/application:
          attributes:
            redirect_uri:
              fragment_present: ei voi sisältää osia.
              invalid_uri: on oltava kelvollinen URI.
              relative_uri: on oltava täydellinen URI.
              secured_uri: on oltava HTTPS/SSL-URI.
  doorkeeper:
    applications:
      buttons:
        authorize: Valtuuta
        cancel: Peruuta
        destroy: Tuhoa
        edit: Muokkaa
        submit: Lähetä
      confirmations:
        destroy: Oletko varma?
      edit:
        title: Muokkaa sovellusta
      form:
        error: Hups! Tarkista, että lomakkeessa ei ole virheitä
      help:
        native_redirect_uri: Käytä %{native_redirect_uri} paikallisiin testeihin
        redirect_uri: Lisää jokainen URI omalle rivilleen
        scopes: Erota oikeudet välilyönnein. Jos kenttä jätetään tyhjäksi, käytetään oletusoikeuksia.
      index:
        application: Sovellus
        callback_url: Takaisinkutsu-URL
        delete: Poista
        empty: Sinulla ei ole sovelluksia.
        name: Nimi
        new: Uusi sovellus
        scopes: Oikeudet
        show: Näytä
        title: Omat sovellukset
      new:
        title: Uusi sovellus
      show:
        actions: Toiminnot
        application_id: Asiakasohjelman tunnus
        callback_urls: Takaisinkutsu-URL:t
        scopes: Oikeudet
        secret: Asiakasohjelman salainen avain
        title: 'Sovellus: %{name}'
    authorizations:
      buttons:
        authorize: Valtuuta
        deny: Evää
      error:
        title: Tapahtui virhe
      new:
        prompt_html: "%{client_name} pyytää lupaa käyttää tiliäsi. Se on kolmannen osapuolen sovellus. <strong>Jos et luota siihen, sinun ei pitäisi sallia sitä.</strong>"
        review_permissions: Tarkista käyttöoikeudet
        title: Valtuutus vaaditaan
      show:
        title: Kopioi tämä valtuutuskoodi ja liitä se sovellukseen.
    authorized_applications:
      buttons:
        revoke: Peru
      confirmations:
        revoke: Oletko varma?
      index:
        authorized_at: Valtuutettu %{date}
        description_html: Nämä ovat sovelluksia, jotka voivat käyttää tiliäsi käyttäen API. Jos et tunnista sitä tai sovellus toimii väärin, voit peruuttaa sen käyttöoikeuden.
        last_used_at: Viimeksi käytetty %{date}
        never_used: Ei käytetty
        scopes: Oikeudet
        superapp: Sisäinen
        title: Valtuutetut sovellukset
    errors:
      messages:
        access_denied: Resurssin omistaja tai valtuutuspalvelin hylkäsi pyynnön.
        credential_flow_not_configured: Resurssin omistajan salasana epäonnistui, koska asetusta Doorkeeper.configure.resource_owner_from_credentials ei ole konfiguroitu.
        invalid_client: Asiakasohjelman valtuutus epäonnistui, koska asiakas on tuntematon, asiakkaan valtuutus ei ollut mukana tai valtuutustapaa ei tueta.
        invalid_grant: Valtuutuslupa on virheellinen, umpeutunut, peruttu, valtuutuspyynnössä käytettyä uudelleenohjaus-URI:tä vastaamaton tai myönnetty toiselle asiakkaalle.
        invalid_redirect_uri: Uudelleenohjaus-URI on virheellinen.
        invalid_request:
          missing_param: 'Vaadittu parametri puuttuu: %{value}.'
          request_not_authorized: Pyyntö on hyväksyttävä. Vaadittu parametri pyynnön hyväksymiseksi puuttuu tai on virheellinen.
          unknown: Pyynnöstä puuttuu vaadittu parametri, se sisältää tukemattoman parametriarvon tai on muulla tavoin väärin muotoiltu.
        invalid_resource_owner: Annetut resurssin omistajan tunnnukset ovat virheelliset, tai resurssin omistajaa ei löydy
        invalid_scope: Pyydetyt oikeudet ovat virheellisiä, tuntemattomia tai väärin muotoiltuja.
        invalid_token:
          expired: Käyttöoikeustunnus on vanhentunut
          revoked: Käyttöoikeustunnus on peruttu
          unknown: Käyttöoikeustunnus on virheellinen
        resource_owner_authenticator_not_configured: Resurssin omistajaa ei löytynyt, koska asetusta Doorkeeper.configure.resource_owner_authenticator ei ole konfiguroitu.
        server_error: Valtuutuspalvelin kohtasi odottamattoman virheen, joka esti pyynnön täyttämisen.
        temporarily_unavailable: Valtuutuspalvelin ei voi tällä hetkellä käsitellä pyyntöä joko väliaikaisen ruuhkan tai huollon takia.
        unauthorized_client: Asiakkaalla ei ole valtuuksia tehdä tätä pyyntöä tällä metodilla.
        unsupported_grant_type: Valtuutuspalvelin ei tue tätä valtuutusluvan tyyppiä.
        unsupported_response_type: Valtuutuspalvelin ei tue tätä vastauksen tyyppiä.
    flash:
      applications:
        create:
          notice: Sovellus luotu.
        destroy:
          notice: Sovellus poistettu.
        update:
          notice: Sovellus päivitetty.
      authorized_applications:
        destroy:
          notice: Sovellus peruttu.
    grouped_scopes:
      access:
        read: Vain luku
        read/write: Luku- ja kirjoitusoikeudet
        write: Vain kirjoitus
      title:
        accounts: Tilit
        admin/accounts: Tilien hallinta
        admin/all: Kaikki hallinnolliset toiminnot
        admin/reports: Raporttien hallinta
        all: Täysi pääsy Mastodon-tiliisi
        blocks: Torjutut
        bookmarks: Kirjanmerkit
        conversations: Keskustelut
        crypto: Päästä päähän -salaus
        favourites: Suosikit
        filters: Suodattimet
        follow: Seuraamiset, mykistykset ja estot
        follows: Seuraa
        lists: Listat
        media: Medialiitteet
        mutes: Mykistykset
        notifications: Ilmoitukset
        push: Push-ilmoitukset
        reports: Raportit
        search: Hae
        statuses: Viestit
    layouts:
      admin:
        nav:
          applications: Sovellukset
          oauth2_provider: OAuth2-palveluntarjoaja
      application:
        title: OAuth-valtuutus tarvitaan
    scopes:
      admin:read: lukea kaikkia tietoja palvelimelta
      admin:read:accounts: lue arkaluontoinen sisältö kaikilta tileiltä
      admin:read:canonical_email_blocks: lue arkaluonteisia tietoja kaikista kanonisesti sallituista sähköpostiosoitteista
      admin:read:domain_allows: lue arkaluonteisia tietoja kaikista sallituista verkkotunnuksista
      admin:read:domain_blocks: lue arkaluonteisia tietoja kaikista estetyistä verkkotunnuksista
      admin:read:email_domain_blocks: lue arkaluonteisia tietoja kaikista estetyistä sähköpostiverkkotunnuksista
      admin:read:ip_blocks: lue arkaluonteisia tietoja kaikista estetyistä IP-osoitteista
      admin:read:reports: lue arkaluonteiset tiedot kaikista raporteista ja raportoiduista tileistä
      admin:write: muokata kaikkia tietoja palvelimella
      admin:write:accounts: suorita moderointitoiminnot tileillä
      admin:write:canonical_email_blocks: toteuta moderointitoimenpiteitä kanonisille sähköpostiosoite-estoille
      admin:write:domain_allows: toteuta moderointitoimenpiteitä sallituille verkkotunnuksille
      admin:write:domain_blocks: toteuta moderointitoimenpiteitä estetyille verkkotunnuksille
      admin:write:email_domain_blocks: toteuta moderointitoimenpiteitä estetyille sähköpostiverkkotunnuksille
      admin:write:ip_blocks: toteuta moderointitoimenpiteitä estetyille IP-osoitteille
      admin:write:reports: suorita moderointitoiminnot raporteissa
      crypto: käytä päästä päähän salausta
      follow: seurata, estää, perua eston ja lopettaa tilien seuraaminen
      push: vastaanottaa push-ilmoituksesi
      read: lukea tilin tietoja
      read:accounts: nähdä tilin tiedot
      read:blocks: katso lohkosi
      read:bookmarks: katso kirjanmerkkisi
      read:favourites: katso suosikkisi
      read:filters: katso suodattimesi
      read:follows: katso ketä seuraat
      read:lists: katso listasi
      read:mutes: katso mykistyksesi
      read:notifications: katso ilmoitukset
      read:reports: katso raporttisi
      read:search: haku sinun puolesta
      read:statuses: katso kaikki viestit
      write: julkaista puolestasi
      write:accounts: muokata profiiliasi
      write:blocks: estää tilit ja palvelimet
      write:bookmarks: kirjanmerkki viestit
      write:conversations: mykistä ja poistaa keskustelut
      write:favourites: suosikki viestit
      write:filters: luoda suodattimia
      write:follows: seurata ihmisiä
      write:lists: luoda listoja
      write:media: lähettää mediatiedostoja
      write:mutes: mykistää ihmisiä ja keskusteluja
      write:notifications: tyhjentää ilmoituksesi
      write:reports: raportoi muille ihmisille
      write:statuses: julkaise viestejä
